Accounts - Create
Membuat akun Data Lake Store yang ditentukan.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataLakeStore/accounts/{accountName}?api-version=2016-11-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
Nama akun Data Lake Store. |
|
resource
|
path | True |
|
Nama grup sumber daya Azure. |
|
subscription
|
path | True |
|
Mendapatkan kredensial langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
api-version
|
query | True |
|
Versi Api Klien. |
Isi Permintaan
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
|
Lokasi sumber daya. |
| identity |
Identitas enkripsi Key Vault, jika ada. |
||
| properties.defaultGroup |
|
Grup pemilik default untuk semua folder dan file baru yang dibuat di akun Data Lake Store. |
|
| properties.encryptionConfig |
Konfigurasi enkripsi Key Vault. |
||
| properties.encryptionState |
Status enkripsi saat ini untuk akun Data Lake Store ini. |
||
| properties.firewallAllowAzureIps |
Status saat ini mengizinkan atau melarang IP yang berasal dari Azure melalui firewall. Jika firewall dinonaktifkan, ini tidak diberlakukan. |
||
| properties.firewallRules |
Daftar aturan firewall yang terkait dengan akun Data Lake Store ini. |
||
| properties.firewallState |
Status firewall alamat IP saat ini untuk akun Data Lake Store ini. |
||
| properties.newTier |
Tingkat komitmen yang akan digunakan untuk bulan depan. |
||
| properties.trustedIdProviderState |
Status fitur penyedia identitas tepercaya saat ini untuk akun Data Lake Store ini. |
||
| properties.trustedIdProviders |
Daftar penyedia identitas tepercaya yang terkait dengan akun Data Lake Store ini. |
||
| properties.virtualNetworkRules |
Daftar aturan jaringan virtual yang terkait dengan akun Data Lake Store ini. |
||
| tags |
|
Tag sumber daya. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Berhasil membuat akun. |
|
| 201 Created |
Berhasil memulai pembuatan akun. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
Creates the specified Data Lake Store account
Sample Request
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosorg/providers/Microsoft.DataLakeStore/accounts/contosoadla?api-version=2016-11-01
{
"location": "eastus2",
"tags": {
"test_key": "test_value"
},
"identity": {
"type": "SystemAssigned"
},
"properties": {
"encryptionState": "Enabled",
"encryptionConfig": {
"type": "UserManaged",
"keyVaultMetaInfo": {
"keyVaultResourceId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"encryptionKeyName": "test_encryption_key_name",
"encryptionKeyVersion": "encryption_key_version"
}
},
"firewallState": "Enabled",
"firewallRules": [
{
"name": "test_rule",
"properties": {
"startIpAddress": "1.1.1.1",
"endIpAddress": "2.2.2.2"
}
}
],
"trustedIdProviderState": "Enabled",
"trustedIdProviders": [
{
"name": "test_trusted_id_provider_name",
"properties": {
"idProvider": "https://sts.windows.net/ea9ec534-a3e3-4e45-ad36-3afc5bb291c1"
}
}
],
"defaultGroup": "test_default_group",
"newTier": "Consumption",
"firewallAllowAzureIps": "Enabled"
}
}
Sample Response
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "contosoadla",
"type": "test_type",
"location": "eastus2",
"tags": {
"test_key": "test_value"
},
"identity": {
"type": "SystemAssigned",
"principalId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"tenantId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab346"
},
"properties": {
"provisioningState": "Succeeded",
"state": "Active",
"creationTime": "2017-04-14T13:21:56.6819037-07:00",
"lastModifiedTime": "2017-04-14T13:21:56.6819037-07:00",
"endpoint": "testadlfs17607.azuredatalakestore.net",
"accountId": "94f4bf5d-78a9-4c31-8aa7-b34d07bad898",
"encryptionState": "Enabled",
"encryptionProvisioningState": "Succeeded",
"encryptionConfig": {
"type": "UserManaged",
"keyVaultMetaInfo": {
"keyVaultResourceId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"encryptionKeyName": "test_encryption_key_name",
"encryptionKeyVersion": "encryption_key_version"
}
},
"firewallState": "Enabled",
"firewallRules": [
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "test_rule",
"type": "test_type",
"properties": {
"startIpAddress": "1.1.1.1",
"endIpAddress": "2.2.2.2"
}
}
],
"trustedIdProviderState": "Enabled",
"trustedIdProviders": [
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "test_trusted_id_provider_name",
"type": "test_type",
"properties": {
"idProvider": "https://sts.windows.net/ea9ec534-a3e3-4e45-ad36-3afc5bb291c1"
}
}
],
"defaultGroup": "test_default_group",
"newTier": "Consumption",
"currentTier": "Consumption",
"firewallAllowAzureIps": "Enabled"
}
}
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "contosoadla",
"type": "test_type",
"location": "eastus2",
"tags": {
"test_key": "test_value"
},
"identity": {
"type": "SystemAssigned",
"principalId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"tenantId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab346"
},
"properties": {
"provisioningState": "Succeeded",
"state": "Active",
"creationTime": "2017-04-14T13:21:56.6819037-07:00",
"lastModifiedTime": "2017-04-14T13:21:56.6819037-07:00",
"endpoint": "testadlfs17607.azuredatalakestore.net",
"accountId": "94f4bf5d-78a9-4c31-8aa7-b34d07bad898",
"encryptionState": "Enabled",
"encryptionProvisioningState": "Succeeded",
"encryptionConfig": {
"type": "UserManaged",
"keyVaultMetaInfo": {
"keyVaultResourceId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"encryptionKeyName": "test_encryption_key_name",
"encryptionKeyVersion": "encryption_key_version"
}
},
"firewallState": "Enabled",
"firewallRules": [
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "test_rule",
"type": "test_type",
"properties": {
"startIpAddress": "1.1.1.1",
"endIpAddress": "2.2.2.2"
}
}
],
"trustedIdProviderState": "Enabled",
"trustedIdProviders": [
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "test_trusted_id_provider_name",
"type": "test_type",
"properties": {
"idProvider": "https://sts.windows.net/ea9ec534-a3e3-4e45-ad36-3afc5bb291c1"
}
}
],
"defaultGroup": "test_default_group",
"newTier": "Consumption",
"currentTier": "Consumption",
"firewallAllowAzureIps": "Enabled"
}
}
Definisi
|
Create |
|
|
Create |
Parameter yang digunakan untuk membuat aturan firewall baru saat membuat akun Data Lake Store baru. |
|
Create |
Parameter yang digunakan untuk membuat IdP tepercaya baru saat membuat akun Data Lake Store baru. |
|
Create |
Parameter yang digunakan untuk membuat aturan jaringan virtual baru saat membuat akun Data Lake Store baru. |
|
Data |
Informasi akun Data Lake Store. |
|
Data |
Status akun Data Lake Store. |
|
Data |
Status provisi akun Data Lake Store. |
|
Encryption |
Konfigurasi enkripsi untuk akun. |
|
Encryption |
Jenis konfigurasi enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'UserManaged' dan 'ServiceManaged'. |
|
Encryption |
Properti identitas enkripsi. |
|
Encryption |
Jenis enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'SystemAssigned'. |
|
Encryption |
Status provisi enkripsi saat ini untuk akun Data Lake Store ini. |
|
Encryption |
Status enkripsi saat ini untuk akun Data Lake Store ini. |
|
Firewall |
Status saat ini mengizinkan atau melarang IP yang berasal dari Azure melalui firewall. Jika firewall dinonaktifkan, ini tidak diberlakukan. |
|
Firewall |
Informasi aturan firewall Data Lake Store. |
|
Firewall |
Status firewall alamat IP saat ini untuk akun Data Lake Store ini. |
|
Key |
Informasi metadata yang digunakan oleh enkripsi akun. |
|
Tier |
Tingkat komitmen yang akan digunakan untuk bulan depan. |
|
Trusted |
Informasi IdP tepercaya Data Lake Store. |
|
Trusted |
Status saat ini dari fitur penyedia identitas tepercaya untuk akun Data Lake Store ini. |
|
Virtual |
Informasi aturan jaringan virtual Data Lake Store. |
CreateDataLakeStoreAccountParameters
| Name | Type | Description |
|---|---|---|
| identity |
Identitas enkripsi Key Vault, jika ada. |
|
| location |
|
Lokasi sumber daya. |
| properties.defaultGroup |
|
Grup pemilik default untuk semua folder dan file baru yang dibuat di akun Data Lake Store. |
| properties.encryptionConfig |
Konfigurasi enkripsi Key Vault. |
|
| properties.encryptionState |
Status enkripsi saat ini untuk akun Data Lake Store ini. |
|
| properties.firewallAllowAzureIps |
Status saat ini mengizinkan atau melarang IP yang berasal dari Azure melalui firewall. Jika firewall dinonaktifkan, ini tidak diberlakukan. |
|
| properties.firewallRules |
Daftar aturan firewall yang terkait dengan akun Data Lake Store ini. |
|
| properties.firewallState |
Status firewall alamat IP saat ini untuk akun Data Lake Store ini. |
|
| properties.newTier |
Tingkat komitmen yang akan digunakan untuk bulan depan. |
|
| properties.trustedIdProviderState |
Status saat ini dari fitur penyedia identitas tepercaya untuk akun Data Lake Store ini. |
|
| properties.trustedIdProviders |
Daftar penyedia identitas tepercaya yang terkait dengan akun Data Lake Store ini. |
|
| properties.virtualNetworkRules |
Daftar aturan jaringan virtual yang terkait dengan akun Data Lake Store ini. |
|
| tags |
|
Tag sumber daya. |
CreateFirewallRuleWithAccountParameters
Parameter yang digunakan untuk membuat aturan firewall baru saat membuat akun Data Lake Store baru.
| Name | Type | Description |
|---|---|---|
| name |
|
Nama unik aturan firewall yang akan dibuat. |
| properties.endIpAddress |
|
Alamat IP akhir untuk aturan firewall. Ini bisa berupa ipv4 atau ipv6. Mulai dan Akhir harus berada dalam protokol yang sama. |
| properties.startIpAddress |
|
Alamat IP awal untuk aturan firewall. Ini bisa berupa ipv4 atau ipv6. Mulai dan Akhir harus berada dalam protokol yang sama. |
CreateTrustedIdProviderWithAccountParameters
Parameter yang digunakan untuk membuat IdP tepercaya baru saat membuat akun Data Lake Store baru.
| Name | Type | Description |
|---|---|---|
| name |
|
Nama unik penyedia identitas tepercaya untuk dibuat. |
| properties.idProvider |
|
URL penyedia identitas tepercaya ini. |
CreateVirtualNetworkRuleWithAccountParameters
Parameter yang digunakan untuk membuat aturan jaringan virtual baru saat membuat akun Data Lake Store baru.
| Name | Type | Description |
|---|---|---|
| name |
|
Nama unik aturan jaringan virtual yang akan dibuat. |
| properties.subnetId |
|
Pengidentifikasi sumber daya untuk subnet. |
DataLakeStoreAccount
Informasi akun Data Lake Store.
| Name | Type | Description |
|---|---|---|
| id |
|
Pengidentifikasi sumber daya. |
| identity |
Identitas enkripsi Key Vault, jika ada. |
|
| location |
|
Lokasi sumber daya. |
| name |
|
Nama sumber daya. |
| properties.accountId |
|
Pengidentifikasi unik yang terkait dengan akun Data Lake Store ini. |
| properties.creationTime |
|
Waktu pembuatan akun. |
| properties.currentTier |
Tingkat komitmen yang digunakan untuk bulan ini. |
|
| properties.defaultGroup |
|
Grup pemilik default untuk semua folder dan file baru yang dibuat di akun Data Lake Store. |
| properties.encryptionConfig |
Konfigurasi enkripsi Key Vault. |
|
| properties.encryptionProvisioningState |
Status provisi enkripsi saat ini untuk akun Data Lake Store ini. |
|
| properties.encryptionState |
Status enkripsi saat ini untuk akun Data Lake Store ini. |
|
| properties.endpoint |
|
Titik akhir CName lengkap untuk akun ini. |
| properties.firewallAllowAzureIps |
Status saat ini mengizinkan atau melarang IP yang berasal dari Azure melalui firewall. Jika firewall dinonaktifkan, ini tidak diberlakukan. |
|
| properties.firewallRules |
Daftar aturan firewall yang terkait dengan akun Data Lake Store ini. |
|
| properties.firewallState |
Status firewall alamat IP saat ini untuk akun Data Lake Store ini. |
|
| properties.lastModifiedTime |
|
Waktu terakhir dimodifikasi akun. |
| properties.newTier |
Tingkat komitmen yang akan digunakan untuk bulan depan. |
|
| properties.provisioningState |
Status provisi akun Data Lake Store. |
|
| properties.state |
Status akun Data Lake Store. |
|
| properties.trustedIdProviderState |
Status saat ini dari fitur penyedia identitas tepercaya untuk akun Data Lake Store ini. |
|
| properties.trustedIdProviders |
Daftar penyedia identitas tepercaya yang terkait dengan akun Data Lake Store ini. |
|
| properties.virtualNetworkRules |
Daftar aturan jaringan virtual yang terkait dengan akun Data Lake Store ini. |
|
| tags |
|
Tag sumber daya. |
| type |
|
Jenis sumber daya. |
DataLakeStoreAccountState
Status akun Data Lake Store.
| Name | Type | Description |
|---|---|---|
| Active |
|
|
| Suspended |
|
DataLakeStoreAccountStatus
Status provisi akun Data Lake Store.
| Name | Type | Description |
|---|---|---|
| Canceled |
|
|
| Creating |
|
|
| Deleted |
|
|
| Deleting |
|
|
| Failed |
|
|
| Patching |
|
|
| Resuming |
|
|
| Running |
|
|
| Succeeded |
|
|
| Suspending |
|
|
| Undeleting |
|
EncryptionConfig
Konfigurasi enkripsi untuk akun.
| Name | Type | Description |
|---|---|---|
| keyVaultMetaInfo |
Informasi Key Vault untuk menyambungkan ke kunci enkripsi yang dikelola pengguna. |
|
| type |
Jenis konfigurasi enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'UserManaged' dan 'ServiceManaged'. |
EncryptionConfigType
Jenis konfigurasi enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'UserManaged' dan 'ServiceManaged'.
| Name | Type | Description |
|---|---|---|
| ServiceManaged |
|
|
| UserManaged |
|
EncryptionIdentity
Properti identitas enkripsi.
| Name | Type | Description |
|---|---|---|
| principalId |
|
Pengidentifikasi utama yang terkait dengan enkripsi. |
| tenantId |
|
Pengidentifikasi penyewa yang terkait dengan enkripsi. |
| type |
Jenis enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'SystemAssigned'. |
EncryptionIdentityType
Jenis enkripsi yang digunakan. Saat ini satu-satunya jenis yang didukung adalah 'SystemAssigned'.
| Name | Type | Description |
|---|---|---|
| SystemAssigned |
|
EncryptionProvisioningState
Status provisi enkripsi saat ini untuk akun Data Lake Store ini.
| Name | Type | Description |
|---|---|---|
| Creating |
|
|
| Succeeded |
|
EncryptionState
Status enkripsi saat ini untuk akun Data Lake Store ini.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
FirewallAllowAzureIpsState
Status saat ini mengizinkan atau melarang IP yang berasal dari Azure melalui firewall. Jika firewall dinonaktifkan, ini tidak diberlakukan.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
FirewallRule
Informasi aturan firewall Data Lake Store.
| Name | Type | Description |
|---|---|---|
| id |
|
Pengidentifikasi sumber daya. |
| name |
|
Nama sumber daya. |
| properties.endIpAddress |
|
Alamat IP akhir untuk aturan firewall. Ini bisa berupa ipv4 atau ipv6. Mulai dan Akhir harus berada dalam protokol yang sama. |
| properties.startIpAddress |
|
Alamat IP awal untuk aturan firewall. Ini bisa berupa ipv4 atau ipv6. Mulai dan Akhir harus berada dalam protokol yang sama. |
| type |
|
Jenis sumber daya. |
FirewallState
Status firewall alamat IP saat ini untuk akun Data Lake Store ini.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
KeyVaultMetaInfo
Informasi metadata yang digunakan oleh enkripsi akun.
| Name | Type | Description |
|---|---|---|
| encryptionKeyName |
|
Nama kunci enkripsi yang dikelola pengguna. |
| encryptionKeyVersion |
|
Versi kunci enkripsi yang dikelola pengguna. |
| keyVaultResourceId |
|
Pengidentifikasi sumber daya untuk pengguna yang dikelola Key Vault digunakan untuk mengenkripsi. |
TierType
Tingkat komitmen yang akan digunakan untuk bulan depan.
| Name | Type | Description |
|---|---|---|
| Commitment_100TB |
|
|
| Commitment_10TB |
|
|
| Commitment_1PB |
|
|
| Commitment_1TB |
|
|
| Commitment_500TB |
|
|
| Commitment_5PB |
|
|
| Consumption |
|
TrustedIdProvider
Informasi IdP tepercaya Data Lake Store.
| Name | Type | Description |
|---|---|---|
| id |
|
Pengidentifikasi sumber daya. |
| name |
|
Nama sumber daya. |
| properties.idProvider |
|
URL penyedia identitas tepercaya ini. |
| type |
|
Jenis sumber daya. |
TrustedIdProviderState
Status saat ini dari fitur penyedia identitas tepercaya untuk akun Data Lake Store ini.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
VirtualNetworkRule
Informasi aturan jaringan virtual Data Lake Store.
| Name | Type | Description |
|---|---|---|
| id |
|
Pengidentifikasi sumber daya. |
| name |
|
Nama sumber daya. |
| properties.subnetId |
|
Pengidentifikasi sumber daya untuk subnet. |
| type |
|
Jenis sumber daya. |